package com.zcloud.util;

import com.zcloud.entity.PageData;

/**
 * 说明：MD5处理
 * 作者：luoxiaobao
 * 官网：www.qdkjchina.com
 */
public class HasAllRequired {


	/**
	 * 验证是否含有全部必填字段
	 * jsonObject 为前台传的值 ，requiredColumns为必须要传的字段
	 * @param requiredColumns 必填的参数字段名称 逗号隔开 比如"userId,name,telephone"
	 */
	public static Integer hasAllRequired(final PageData jsonObject, String requiredColumns) {
		Integer rescode = 000000;
		if (!Tools.isEmpty(requiredColumns)) {
			//验证字段非空
			String[] columns = requiredColumns.split(",");
			String missCol = "";
			for (String column : columns) {
				//按照必填字段取前台传过来的参数
				Object val = jsonObject.get(column.trim());
				//如果没有查到那个值，就代表着传过来的字段少了
				if (Tools.isEmpty(val)) {
					missCol += column + "  ";
				}
			}
			if (!Tools.isEmpty(missCol)) {
				rescode = 100001;
				System.out.println("缺少必填参数:" + missCol.trim());
			}
		}
		return rescode;
	}
	public static void main(String[] args) {
		System.out.println();

	}
}
